# Class QueryError

An error that is thrown when a query operation fails.

#### Hierarchy

- Error
  - QueryError

#####
Index

### Constructors

constructor

### Properties

errors

##
Constructors

### constructor

- new QueryError(errors, message?, ...args): QueryError

- Initializes a new instance of the QueryError class.

  #### Parameters

  - errors: Iterable<QueryError | [FeatureSource | FeatureSource[], Error], any, any>

    A mapping of feature sources to errors.

  - `Optional` message: string

    An optional error message.

  - `Rest`...args: unknown[]

    Values for placeholders in the error message.

  #### Returns QueryError

  Overrides Error.constructor

##
Properties

### `Readonly` errors

errors: Map<FeatureSource, Error>

Maps individual feature sources to an error that occurred for that source.